# I3dExRenderFeature.h File Reference

## Classes
struct | DirectLighting
struct | RayColorFlags
struct | LightBeamParams
| Parameters of I3DExRaytracer::LightBeam(). More...
struct | BackgroundRenderingFlags
class | TAbsorptionFunction
struct | I3DExRaytracer
struct | ShadowIO
struct | I3DExShadowFeature
struct | ReflectionIO
struct | I3DExReflectionFeature
struct | RefractionIO
struct | I3DExRefractionFeature
struct | I3DExDataComponent
struct | ExAttachData
## Functions
| MCDEFINE_GUID2 (IID_I3DExRaytracer, R_IID_I3DExRaytracer)
| MCDEFINE_GUID2 (IID_I3DExShadowFeature, R_IID_I3DExShadowFeature)
| MCDEFINE_GUID2 (IID_I3DExReflectionFeature, R_IID_I3DExReflectionFeature)
| MCDEFINE_GUID2 (IID_I3DExRefractionFeature, R_IID_I3DExRefractionFeature)
| MCDEFINE_GUID2 (IID_I3DExDataComponent, R_IID_I3DExDataComponent)
## Variables
const FourCharT | kShadowFeatureFamilyID = kRID_ShadowFeatureFamilyID
const FourCharT | kReflectionFeatureFamilyID = kRID_ReflectionFeatureFamilyID
const FourCharT | kRefractionFeatureFamilyID = kRID_RefractionFeatureFamilyID
const FourCharT | kDataComponentFamilyID = kRID_DataComponentFamilyID
const FourCharT | kGenericDataFamilyID = kRID_DataComponentFamilyID

## Function Documentation

MCDEFINE_GUID2 | ( | IID_I3DExDataComponent | ,
|  | R_IID_I3DExDataComponent |  |
| ) |  |  |

MCDEFINE_GUID2 | ( | IID_I3DExRefractionFeature | ,
|  | R_IID_I3DExRefractionFeature |  |
| ) |  |  |

MCDEFINE_GUID2 | ( | IID_I3DExReflectionFeature | ,
|  | R_IID_I3DExReflectionFeature |  |
| ) |  |  |

MCDEFINE_GUID2 | ( | IID_I3DExShadowFeature | ,
|  | R_IID_I3DExShadowFeature |  |
| ) |  |  |

MCDEFINE_GUID2 | ( | IID_I3DExRaytracer | ,
|  | R_IID_I3DExRaytracer |  |
| ) |  |  |

## Variable Documentation

const FourCharT kDataComponentFamilyID = kRID_DataComponentFamilyID

const FourCharT kGenericDataFamilyID = kRID_DataComponentFamilyID

const FourCharT kReflectionFeatureFamilyID = kRID_ReflectionFeatureFamilyID

const FourCharT kRefractionFeatureFamilyID = kRID_RefractionFeatureFamilyID

const FourCharT kShadowFeatureFamilyID = kRID_ShadowFeatureFamilyID